<?php
include_once(_DIR_TO_CLASS."/c_page.php");
class c_page_cab_esmo_magnit_pdd extends c_page
{
  public $h1='Рабочее место сотрудника БДД - очередь направлений на обработку' ;
  public $rec_mo=array() ;
  public $rec_personal=array() ;
  public $rec_mess=array() ;

 function second_menu_config()
 { $this->second_menu['/cab/esmo_magnit/pdd/']=array('title'=>'Очередь') ;
   $this->second_menu['/cab/esmo_magnit/pdd/upload/file/']=array('title'=>'Загрузка из файла') ;
   $this->second_menu['/cab/esmo_magnit/pdd/upload/mail/']=array('title'=>'Загрузка из почты') ;
   $this->second_menu['/cab/esmo_magnit/pdd/scan/report/']=array('title'=>'Журнал загруженных направлений') ;
   $this->second_menu['/cab/esmo_magnit/check_personals/']=array('title'=>'Проверка сотрудников') ;
   //$this->second_menu['/cab/esmo_magnit/pdd/setting/']=array('title'=>'Настройки') ;
 }

 function get_cur_page_meta_tags()
 {
   //if ($this->rec_personal['pkey']) $this->h1='Карточка сообщения ' ;
 }

 function block_main()
 { $this->page_title() ;
   $this->panel_report_scan() ;
   ?><br><br><?
   if (MEMBER()->rol==1){?><button class="v2" cmd="esmo_magnit/clear_work_account">Сбросить исполнителей заданий</button><?}
 }

 function panel_report_scan()
 {   $work_scan=execSQL_van('select * from obj_site_scan where account_work='.MEMBER()->id.' and status=2') ;

     include_once(_DIR_EXT.'/esmo_magnit/report_magnit_scan_actions.php') ;
     $report_obj=new report_magnit_scan_actions() ;
     //$report_obj->setting() ;
     $report_obj->view(array('selected'=>$work_scan['pkey'])) ;
 }

}



?>
